; SpeedText Library for Blitz3D
; Copyright Christian Klaussner, 2008
; http://christiank.net
; 
; Include File

; Constants

Const ST_DEFAULT = 0
Const ST_NONANTIALIASED = 1
Const ST_ANTIALIASED = 2
Const ST_CLEARTYPE = 3

Const ST_LEFT = 0
Const ST_CENTER = 1
Const ST_RIGHT = 2

Const ST_TOP = 0
Const ST_MIDDLE = 1
Const ST_BOTTOM = 2

Const ST_WORDWRAP = 16
Const ST_CLIPRECT = 32

; Functions

Function LoadFont( font$, height = 12, bold = 0, italic = 0, underline = 0, quality = ST_DEFAULT )
	Return ST_LoadFont( font, height, bold, italic, underline, quality )
End Function

Function SetFont( font )
	ST_SetFont font
End Function

Function FreeFont( font )
	ST_FreeFont font
End Function

Function Text( x, y, txt$, ax = ST_LEFT, ay = ST_TOP )
	ST_DrawText x, y, txt, ax, ay
End Function

Function TextRect( x, y, w, h, txt$, ax = ST_LEFT, format = ST_WORDWRAP )
	ST_DrawTextRect( x, y, w, h, txt, ax, format )
End Function

Function TextColor( red, green, blue )
	ST_TextColor red, green, blue
End Function

Function TextBackground( red = -1, green = -1, blue = -1 )
	ST_TextBackground red, green, blue
End Function

Function StringWidth( txt$ )
	Return ST_StringWidth( txt )
End Function

Function StringHeight( txt$ )
	Return ST_StringHeight( txt )
End Function

Function FontWidth( )
	Return ST_FontWidth( )
End Function

Function FontHeight( )
	Return ST_FontHeight( )
End Function